2010l available

Bug #623630 reported by Gary Lasker on 2010-08-24
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
Undecided
Gary Lasker
Dapper
Undecided
Unassigned
Hardy
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Gary Lasker

Bug Description

Binary package hint: tzdata

There is a new tzdata version 2010l:

    - Egypt: Update DST rules (effective from Aug 11)
    - Palestine: Update DST rules (effective from Aug 11)

Gary Lasker (gary-lasker) wrote :
Gary Lasker (gary-lasker) wrote :

Test case for Egypt time zone change:

First, with 2010k:

$ zdump -v Egypt | grep 2010
Egypt Thu Apr 29 21:59:59 2010 UTC = Thu Apr 29 23:59:59 2010 EET isdst=0 gmtoff=7200
Egypt Thu Apr 29 22:00:00 2010 UTC = Fri Apr 30 01:00:00 2010 EEST isdst=1 gmtoff=10800
Egypt Tue Aug 10 20:59:59 2010 UTC = Tue Aug 10 23:59:59 2010 EEST isdst=1 gmtoff=10800
Egypt Tue Aug 10 21:00:00 2010 UTC = Tue Aug 10 23:00:00 2010 EET isdst=0 gmtoff=7200
Egypt Wed Sep 8 21:59:59 2010 UTC = Wed Sep 8 23:59:59 2010 EET isdst=0 gmtoff=7200
Egypt Wed Sep 8 22:00:00 2010 UTC = Thu Sep 9 01:00:00 2010 EEST isdst=1 gmtoff=10800
Egypt Thu Sep 30 20:59:59 2010 UTC = Thu Sep 30 23:59:59 2010 EEST isdst=1 gmtoff=10800
Egypt Thu Sep 30 21:00:00 2010 UTC = Thu Sep 30 23:00:00 2010 EET isdst=0 gmtoff=7200

And after upgrade to 2010l (note effective date for time change updated from Sep 9 to Sep 10):

$ zdump -v Egypt | grep 2010
Egypt Thu Apr 29 21:59:59 2010 UTC = Thu Apr 29 23:59:59 2010 EET isdst=0 gmtoff=7200
Egypt Thu Apr 29 22:00:00 2010 UTC = Fri Apr 30 01:00:00 2010 EEST isdst=1 gmtoff=10800
Egypt Tue Aug 10 20:59:59 2010 UTC = Tue Aug 10 23:59:59 2010 EEST isdst=1 gmtoff=10800
Egypt Tue Aug 10 21:00:00 2010 UTC = Tue Aug 10 23:00:00 2010 EET isdst=0 gmtoff=7200
Egypt Thu Sep 9 21:59:59 2010 UTC = Thu Sep 9 23:59:59 2010 EET isdst=0 gmtoff=7200
Egypt Thu Sep 9 22:00:00 2010 UTC = Fri Sep 10 01:00:00 2010 EEST isdst=1 gmtoff=10800
Egypt Thu Sep 30 20:59:59 2010 UTC = Thu Sep 30 23:59:59 2010 EEST isdst=1 gmtoff=10800
Egypt Thu Sep 30 21:00:00 2010 UTC = Thu Sep 30 23:00:00 2010 EET isdst=0 gmtoff=7200

Gary Lasker (gary-lasker) wrote :
Changed in tzdata (Ubuntu):
assignee: nobody → Gary Lasker (gary-lasker)
description: updated
Martin Pitt (pitti) wrote :

2010l-1 synced into maverick.

Changed in tzdata (Ubuntu Maverick):
status: New → Fix Released

Accepted tzdata into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Changed in tzdata (Ubuntu Karmic):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Jaunty):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted langpack-locales into dapper-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Hardy):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) on 2010-08-25
Changed in tzdata (Ubuntu Dapper):
status: New → Fix Committed
Gary Lasker (gary-lasker) wrote :

I have verified the updates in -proposed for all of the following:

  dapper
  hardy
  jaunty
  karmic
  lucid

Thanks again!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010l~repack-0ubuntu0.8.04

---------------
tzdata (2010l~repack-0ubuntu0.8.04) hardy-proposed; urgency=low

  * New upstream release 2010l: (LP: #623630)
    - Egypt: Update DST rules (effective from Aug 11)
    - Palestine: Update DST rules (effective from Aug 11)
  * gl.po: updated Galician translation from Jorge Barreiro
    (thanks Clint Adams)
 -- Gary Lasker <email address hidden> Tue, 24 Aug 2010 20:27:30 -0400

Changed in tzdata (Ubuntu Hardy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010l~repack-0ubuntu0.9.04

---------------
tzdata (2010l~repack-0ubuntu0.9.04) jaunty-proposed; urgency=low

  * New upstream release 2010l: (LP: #623630)
    - Egypt: Update DST rules (effective from Aug 11)
    - Palestine: Update DST rules (effective from Aug 11)
 -- Gary Lasker <email address hidden> Tue, 24 Aug 2010 20:08:07 -0400

Changed in tzdata (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010l-0ubuntu0.9.10

---------------
tzdata (2010l-0ubuntu0.9.10) karmic-proposed; urgency=low

  * New upstream release 2010l: (LP: #623630)
    - Egypt: Update DST rules (effective from Aug 11)
    - Palestine: Update DST rules (effective from Aug 11)
 -- Gary Lasker <email address hidden> Tue, 24 Aug 2010 21:22:34 -0400

Changed in tzdata (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010l-0ubuntu0.10.04

---------------
tzdata (2010l-0ubuntu0.10.04) lucid-proposed; urgency=low

  * New upstream release 2010l: (LP: #623630)
    - Egypt: Update DST rules (effective from Aug 11)
    - Palestine: Update DST rules (effective from Aug 11)
  * gl.po: updated Galician translation from Jorge Barreiro
    (thanks Clint Adams)
 -- Gary Lasker <email address hidden> Tue, 24 Aug 2010 19:48:17 -0400

Changed in tzdata (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Copied langpack-locales to dapper-updates.

Thanks Gary!

Changed in tzdata (Ubuntu Dapper):
status: Fix Committed → Fix Released
Gary Lasker (gary-lasker) wrote :

Thank you, Martin!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers